# Common Options

The following options can be run with all knife sub-commands and plug-ins:

`-c CONFIG_FILE`, `--config CONFIG_FILE`
  The configuration file to use. For example, when knife is run from a node that is configured to be managed by the Chef server, this option is used to allow knife to use the same credentials as the chef-client when communicating with the Chef server.
`--chef-zero-port PORT`
  The port on which chef-zero will listen.
`-d`, `--disable-editing`
  Use to prevent the $EDITOR from being opened and to accept data as-is.
`--defaults`
  Use to have knife use the default value instead of asking a user to provide one.
`-e EDITOR`, `--editor EDITOR`
  The $EDITOR that is used for all interactive commands.
`-E ENVIRONMENT`, `--environment ENVIRONMENT`
  The name of the environment. When this option is added to a command, the command will run only against the named environment. This option is ignored during search queries made using the knife search subcommand.
`-F FORMAT`, `--format FORMAT`
  The output format: `summary` (default), `text`, `json`, `yaml`, and `pp`.
`-h`, `--help`
  Shows help for the command.
`-k KEY`, `--key KEY`
  The private key that knife will use to sign requests made by the API client to the Chef server.
`--[no-]color`
  Use to view colored output.
`--print-after`
  Use to show data after a destructive operation.
`-s URL`, `--server-url URL`
  The URL for the Chef server.
`-u USER`, `--user USER`
  The user name used by knife to sign requests made by the API client to the Chef server. Authentication will fail if the user name does not match the private key.
`-v`, `--version`
  The version of the chef-client.
`-V`, `--verbose`
  Set for more verbose outputs. Use `-VV` for maximum verbosity.
`-y`, `--yes`
  Use to respond to all confirmation prompts with “Yes”. knife will not ask for confirmation.
`-z`, `--local-mode`
  Use to run the chef-client in local mode. This allows all commands that work against the Chef server to also work against the local chef-repo.